<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
	   xmlns:beans="http://www.springframework.org/schema/beans"
   	   xmlns:util="http://www.springframework.org/schema/util"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
		        http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd" >

	<!-- 서울 세외수입 과태료 조회 -->
	<bean id="snisSync" class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">
		<property name="targetObject" ref="sndngDtlService"/>
		<property name="targetMethod" value="updatePreNotices"/>
	</bean>
	<bean id="snisSyncTrigger"  class="org.springframework.scheduling.quartz.CronTriggerFactoryBean">
		<property name="jobDetail" ref="snisSync" />
		<!-- property name="cronExpression" value="0 30 6 * * ?" />  매일 06:30 -->
		<property name="cronExpression" value="0 0/1 * * * ?" /> <!-- 1분마다 -->
	</bean>

	<bean id="schedulerFactory" class="org.springframework.scheduling.quartz.SchedulerFactoryBean">
		<property name="jobDetails">
			<list>
				<ref bean="snisSync" />
				<!--
				-->
			</list>
		</property>

		<property name="triggers">
			<list>
				<ref bean="snisSyncTrigger" />
				<!--
				 -->
			</list>
		</property>
	</bean>
<!--
실행 스케쥴 설정 참고 -> https://fmd1225.tistory.com/60
 -->
</beans>